---
title: "Retrieve log data by type and date"
slug: "retrieve-logs-data-by-type-and-time-range-v2logs"
updated: 2025-11-17T08:10:53Z
published: 2025-11-17T08:12:09Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://help.gong.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve logs data by type and time range (/v2/logs)

Get/v2/logs

List log entries that took place during a specified time range.

Required authorizaton scope: 'api:logs:read'.

Query parameterslogTypestringRequired

Type of logs requested.

Valid values[
  "AccessLog",
  "UserActivityLog",
  "UserCallPlay",
  "ExternallySharedCallAccess",
  "ExternallySharedCallPlay"
]
fromDateTimestringRequired

The time from which to retrieve log records, in the ISO-8601 format (e.g., '2018-02-18T02:30:00-07:00' or '2018-02-18T08:00:00Z', where Z stands for UTC).

toDateTimestring

The time until which to retrieve log records, in the ISO-8601 format (e.g., '2018-02-18T02:30:00-07:00' or '2018-02-18T08:00:00Z', where Z stands for UTC); if not specified, the logs end with the latest recorded log.

cursorstring

When paging is needed, provide the value supplied by the previous API call to bring the following page of records.

ExampleeyJhbGciOiJIUzI1NiJ9.eyJjYWxsSWQiM1M30.6qKwpOcvnuweTZmFRzYdtjs_YwJphJU4QIwWFM

Responses200

Successful response

<select class='api-response-data' aria-label='Media type'><option value='a9d7bb36-e50d-480b-bdab-2f83785d111b'>application/json</option>
</select>Expand Allobject  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
recordsobject (Records)  

Information about the number of records that match the requested filter.

totalRecordsinteger  (int32)    

Total number of records.

Example263
currentPageSizeinteger  (int32)    

Number of records in the current page.

Example100
currentPageNumberinteger  (int32)    

Current page number.

Example0
cursorstring    

Returned only when there are more records to be retrieved. Repeat the API call and pass this cursor value in the request to retrieve the next page of records.

ExampleeyJhbGciOiJIUzI1NiJ9.eyJjYWxsSWQiM1M30.6qKwpOcvnuweTZmFRzYdtjs_YwJphJU4QIwWFM

logEntries Array of object (logEntry)   

A list, in which each item specifies one log.

object  

A list, in which each item specifies one log.

userIdstring    

Gong's unique numeric identifier for the user (up to 20 digits), if available.

Example234599484848423
userEmailAddressstring    

The email address of the user, if available.

Exampletest@test.com
userFullNamestring    

The full name of the user, if available.

ExampleJon Snow
impersonatorUserIdstring    

Gong's unique numeric identifier for the impersonating user (up to 20 digits), if available.

Example234599484848423
impersonatorEmailAddressstring    

The email address of the impersonating user, if available.

Exampletest@test.com
impersonatorFullNamestring    

The full name of the impersonating user, if available.

ExampleJon Snow
impersonatorCompanyIdstring    

Gong's unique numeric identifier for the impersonating user's company id (up to 20 digits), if available.

Example234599484848423
eventTimestring    

The time in the ISO-8601 format (e.g., '2018-02-18T02:30:00-07:00' or '2018-02-18T08:00:00Z', where Z stands for UTC); when log was created.

Example2018-02-17T02:30:00-08:00
logRecordobject  

The list of log fields and associated values. This element will be populated dynamically by the log record, depending on the type of log.

property*object  additionalProperties

The list of log fields and associated values. This element will be populated dynamically by the log record, depending on the type of log.

400

Malformed request

<select class='api-response-data' aria-label='Media type'><option value='d5fc9c18-66e5-4911-af2f-64d2fa4d4d4a'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

401

Access denied

<select class='api-response-data' aria-label='Media type'><option value='786b380f-1651-4a91-bf3b-42cc06c05519'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

404

No logs found for the specified period

<select class='api-response-data' aria-label='Media type'><option value='fbc90d66-852b-496d-8ea5-edcf3645e4e9'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

429

API request limit exceeded

HeadersRetry-AfterintegerNumber of seconds to wait before making a new request.
<select class='api-response-data' aria-label='Media type'><option value='a43e3ea4-69b9-4b40-b516-ff785d46b8f3'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

500

Failed to complete the operation due to an unexpected error

<select class='api-response-data' aria-label='Media type'><option value='297d1542-4e10-471e-bafb-27dda48e551c'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string
